"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderingWithContexts = exports.renderedWithContexts = exports.renderWithContexts = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_test_renderer_1 = __importDefault(require("react-test-renderer"));
const material_1 = require("@mui/material");
const react_1 = require("@testing-library/react");
const components_1 = require("./components");
const renderWithContexts = (node) => {
    const theme = (0, material_1.createTheme)();
    const Component = (0, jsx_runtime_1.jsx)(components_1.ThemeProvider, Object.assign({ theme: theme }, { children: node }));
    return (0, react_1.render)(Component);
};
exports.renderWithContexts = renderWithContexts;
const renderedWithContexts = (node) => {
    const theme = (0, material_1.createTheme)();
    const Component = (0, jsx_runtime_1.jsx)(components_1.ThemeProvider, Object.assign({ theme: theme }, { children: node }));
    return react_test_renderer_1.default.create(Component).toJSON();
};
exports.renderedWithContexts = renderedWithContexts;
const renderingWithContexts = (node) => {
    (0, exports.renderWithContexts)(node);
    return (0, exports.renderedWithContexts)(node);
};
exports.renderingWithContexts = renderingWithContexts;
