import { jsx as _jsx } from "react/jsx-runtime";
import renderer from 'react-test-renderer';
import { createTheme } from '@mui/material';
import { render } from '@testing-library/react';
import { ThemeProvider } from './components';
export const renderWithContexts = (node) => {
    const theme = createTheme();
    const Component = _jsx(ThemeProvider, { theme: theme, children: node });
    return render(Component);
};
export const renderedWithContexts = (node) => {
    const theme = createTheme();
    const Component = _jsx(ThemeProvider, { theme: theme, children: node });
    return renderer.create(Component).toJSON();
};
export const renderingWithContexts = (node) => {
    renderWithContexts(node);
    return renderedWithContexts(node);
};
